using System;

namespace Elwig.Helpers.Weighing {
    public class InvalidScale(string id) : IScale {

        public string Manufacturer => "NONE";
        public string Model => "NONE";
        public string ScaleId => id;
        public int InternalScaleNr => 0;
        public bool IsReady => false;
        public bool HasFillingClearance => false;
        public int? WeightLimit => null;
        public string? LogPath => null;

        public void Dispose() {
            GC.SuppressFinalize(this);
        }
    }
}
